org.apache.cassandra.db.marshal

## Class ReversedType<T>

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<T>
  - - org.apache.cassandra.db.marshal.ReversedType<T>

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class ReversedType<T>
    extends AbstractType<T>

### Field Summary

Fields
`AbstractType<T>` `baseType`

### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, onDiskAtomComparator, reverseComparator`

### Method Summary

Methods
`CQL3Type` `asCQL3Type()`
`int` `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`static <T> ReversedType<T>` `getInstance(AbstractType<T> baseType)`
`static <T> ReversedType<T>` `getInstance(TypeParser parser)`
`TypeSerializer<T>` `getSerializer()`
`java.lang.String` `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes suitable for log messages
`java.lang.String` `toString()` This must be overriden by subclasses if necessary so that for any AbstractType, this == TypeParser.parse(toString()).

### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

`compareCollectionMembers, componentsCount, compose, decompose, fromStringCQL2, getColumnsString, getComponents, getReverseComparator, getString, intersects, intersects, isCollection, isCommutative, isCompatibleWith, isValueCompatibleWith, parseDefaultParameters, validate, validateCollectionMember`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### baseType

    public final AbstractType<T> baseType

### Method Detail

#### getInstance

    public static <T> ReversedType<T> getInstance(TypeParser parser)
                                       throws ConfigurationException,
                                              SyntaxException

Throws:
  `ConfigurationException`
  `SyntaxException`

#### getInstance

    public static <T> ReversedType<T> getInstance(AbstractType<T> baseType)

#### compare

    public int compare(java.nio.ByteBuffer o1,
              java.nio.ByteBuffer o2)

#### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

Description copied from class: `AbstractType`
get a string representation of the bytes suitable for log messages

Overrides:
  `getString` in class `AbstractType<T>`

#### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)

Description copied from class: `AbstractType`
get a byte representation of the given string.

Specified by:
  `fromString` in class `AbstractType<T>`

#### asCQL3Type

    public CQL3Type asCQL3Type()

Overrides:
  `asCQL3Type` in class `AbstractType<T>`

#### getSerializer

    public TypeSerializer<T> getSerializer()

Specified by:
  `getSerializer` in class `AbstractType<T>`

#### toString

    public java.lang.String toString()

Description copied from class: `AbstractType`
This must be overriden by subclasses if necessary so that for any AbstractType, this == TypeParser.parse(toString()). Note that for backwards compatibility this includes the full classname. For CQL purposes the short name is fine.

Overrides:
  `toString` in class `AbstractType<T>`